Function
skipUntilLineBeginsWithOneCharOfStr
Skip input until a line begins with a one of the characters in str
skipUntilLineBeginsWithOneCharOfStr(RecordReader<TStream, TPass> & recordReader, TString const & str)
Include Headers
seqan/stream.h
Parameters

recordReader | The RecordReader to read from. Types: RecordReader
str | The set of characters to look for, must be in isgraph

Remarks
This function skips lines, and then non-graphical chars (see isgraph) at the line beginnings,
until it finds a line where the first graph-char is one of the characters in str.
It stops on the char.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult, readLine
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59